summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaciej Mrozowski <reavertm@gentoo.org>2016-05-28 02:50:15 +0200
committerMaciej Mrozowski <reavertm@gentoo.org>2016-05-28 02:51:56 +0200
commit8ab62f779ba52e3ccafdb38ce55303da14d70beb (patch)
treea6a514fb964fddf4cf40753e0703a508d1611e20 /games-simulation/flightgear
parentapp-text/tkinfo: EAPI 6 bump. (diff)
downloadgentoo-8ab62f779ba52e3ccafdb38ce55303da14d70beb.tar.gz
gentoo-8ab62f779ba52e3ccafdb38ce55303da14d70beb.tar.bz2
gentoo-8ab62f779ba52e3ccafdb38ce55303da14d70beb.zip
games-simulation/flightgear: Version bump 2016.2.1, bug 584302.
Diffstat (limited to 'games-simulation/flightgear')
-rw-r--r--games-simulation/flightgear/Manifest1
-rw-r--r--games-simulation/flightgear/flightgear-2016.2.1.ebuild131
-rw-r--r--games-simulation/flightgear/flightgear-9999.ebuild1
3 files changed, 132 insertions, 1 deletions
diff --git a/games-simulation/flightgear/Manifest b/games-simulation/flightgear/Manifest
index cce1b8fad2c..1e2f0039e7e 100644
--- a/games-simulation/flightgear/Manifest
+++ b/games-simulation/flightgear/Manifest
@@ -1,2 +1,3 @@
DIST flightgear-2016.1.1.tar.bz2 7541607 SHA256 acdffb8a6a000cd44b23816f5d1467dbcf375d3cbd6233b2998467bd55dd60ac SHA512 bcebbf100e383a808154dbdf2b0f28ffcf0e3c0415a2db90e0daabb0073e83be69b3989dfc9e299c35fa6e39ddb5b9d4dfefd7f4c23ca8cd981768d8ab89e9c0 WHIRLPOOL d431c59c160a383c4f91f34f1e7ad322502704a4693c6c189cf258958703b0fe97290ab9db60a7de93f99511c79993c1a02de5ae559be0f0fab83b1bea371791
+DIST flightgear-2016.2.1.tar.bz2 7556269 SHA256 b554170ca6b5943fd90496759b055fb60f362ea96f6c46dfff89e3d12c940a94 SHA512 679cb8e6aa4c2d601e7b984da6e4317fd454d14b1357d08cc64350eb973a6700a0dddd18b50cd50fcdce48fba2864ce0f7484b67a15e38cb5f5e8e7d4fc7b017 WHIRLPOOL 6d04982bb107d59094facb4d0430cb25de5ea994f25f1ea3a18351626335c1bc136228e376fd680baacb1e731718b49c317adb390737fd5641b51f8228303c48
DIST flightgear-3.4.0.tar.bz2 7522457 SHA256 b5645d05b50728a89f091292bc557f440d8f8719dd9cebf7f5bf3fa8ea795780 SHA512 10626d00b34255753dc5a5c82076909c296219472faf51c38460cc357ac014b40bd127454f28b2d857f1a1a299716430fd8f04dc7881552b3c24dee6eb616b1e WHIRLPOOL 636ca7e012175141bc4b081cb6137e5348d49b873d241c5d0f1ed0a2581b32d2f23f4fe0ed97d5a1b72440afd14687e5de4e6ebeeaf07b4e854b0ca47875b82f
diff --git a/games-simulation/flightgear/flightgear-2016.2.1.ebuild b/games-simulation/flightgear/flightgear-2016.2.1.ebuild
new file mode 100644
index 00000000000..87a25f20c9c
--- /dev/null
+++ b/games-simulation/flightgear/flightgear-2016.2.1.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils bash-completion-r1
+
+DESCRIPTION="Open Source Flight Simulator"
+HOMEPAGE="http://www.flightgear.org/"
+SRC_URI="mirror://sourceforge/flightgear/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="dbus debug examples qt5 test +udev +utils vim-syntax"
+
+COMMON_DEPEND="
+ dev-db/sqlite:3
+ >=dev-games/openscenegraph-3.2.0[png]
+ ~dev-games/simgear-${PV}
+ media-libs/openal
+ media-libs/speex
+ media-sound/gsm
+ sys-libs/zlib
+ x11-libs/libX11
+ dbus? ( >=sys-apps/dbus-1.6.18-r1 )
+ qt5? (
+ >=dev-qt/qtcore-5.4.1:5
+ >=dev-qt/qtgui-5.4.1:5
+ >=dev-qt/qtwidgets-5.4.1:5
+ )
+ udev? ( virtual/udev )
+ utils? (
+ media-libs/freeglut
+ media-libs/libpng:0
+ virtual/opengl
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.44
+ >=media-libs/plib-1.8.5
+"
+RDEPEND="${COMMON_DEPEND}
+ ~games-simulation/${PN}-data-${PV}
+"
+
+DOCS=(AUTHORS ChangeLog NEWS README Thanks)
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_FGCOM=$(usex utils)
+ -DENABLE_FGELEV=$(usex utils)
+ -DENABLE_FGJS=$(usex utils)
+ -DENABLE_FGVIEWER=$(usex utils)
+ -DENABLE_FLITE=OFF
+ -DENABLE_GPSSMOOTH=$(usex utils)
+ -DENABLE_JS_DEMO=$(usex utils)
+ -DENABLE_JSBSIM=ON
+ -DENABLE_LARCSIM=ON
+ -DENABLE_LOGGING=$(usex test)
+ -DENABLE_METAR=$(usex utils)
+ -DENABLE_PROFILE=OFF
+ -DENABLE_QT=$(usex qt5)
+ -DENABLE_RTI=OFF
+ -DENABLE_TERRASYNC=$(usex utils)
+ -DENABLE_TESTS=$(usex test)
+ -DENABLE_UIUC_MODEL=ON
+ -DENABLE_YASIM=ON
+ -DEVENT_INPUT=$(usex udev)
+ -DFG_DATA_DIR=/usr/share/${PN}
+ -DJSBSIM_TERRAIN=ON
+ -DSIMGEAR_SHARED=ON
+ -DSP_FDMS=ON
+ -DSYSTEM_FLITE=ON
+ -DSYSTEM_HTS_ENGINE=ON
+ -DSYSTEM_SPEEX=ON
+ -DSYSTEM_GSM=ON
+ -DSYSTEM_SQLITE=ON
+ -DUSE_DBUS=$(usex dbus)
+ -DWITH_FGPANEL=$(usex utils)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # Install icons and menu entry
+ local s
+ for s in 16 22 24 32 48 64 128; do
+ doicon -s ${s} icons/${s}x${s}/apps/${PN}.png
+ use utils && doicon -s ${s} icons/${s}x${s}/apps/fgcom.png
+ done
+ doicon -s scalable icons/scalable/${PN}.svg
+ use utils && doicon -s scalable icons/scalable/fgcom.svg
+
+ newmenu package/${PN}.desktop ${PN}.desktop
+
+ # Install bash completion (TODO zsh)
+ # Uncomment below when scripts stops writing files...
+# sed -e "s|/usr/local/share/FlightGear|${GAMES_DATADIR}/${PN}|" \
+# -i scripts/completion/fg-completion.bash || die 'unable to replace FG_ROOT'
+# newbashcomp scripts/completion/fg-completion.bash ${PN}
+
+ # Install examples and other misc files
+ if use examples; then
+ insinto /usr/share/doc/"${PF}"/examples
+ doins -r scripts/java scripts/perl scripts/python
+ insinto /usr/share/doc/"${PF}"/examples/c++
+ doins -r scripts/example/*
+ insinto /usr/share/doc/"${PF}"/tools
+ doins -r scripts/atis scripts/tools/*
+ fi
+
+ # Install nasal script syntax
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins scripts/syntax/{ac3d,nasal}.vim
+ insinto /usr/share/vim/vimfiles/ftdetect/
+ doins "${FILESDIR}"/{ac3d,nasal}.vim
+ fi
+}
+
+pkg_postinst() {
+ einfo "Please note that data files location changed to /usr/share/flightgear"
+ if use qt5; then
+ einfo "To use launcher, run fgfs with '--launcher' parameter"
+ fi
+}
diff --git a/games-simulation/flightgear/flightgear-9999.ebuild b/games-simulation/flightgear/flightgear-9999.ebuild
index 2d73c20cd97..d512c59ef76 100644
--- a/games-simulation/flightgear/flightgear-9999.ebuild
+++ b/games-simulation/flightgear/flightgear-9999.ebuild
@@ -4,7 +4,6 @@
EAPI=6
-CMAKE_WARN_UNUSED_CLI=1
inherit cmake-utils bash-completion-r1 git-r3
DESCRIPTION="Open Source Flight Simulator"